Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.parsers
Class XML11Configuration

    java.lang.Object
      |
      +--org.apache.xerces.util.ParserConfigurationSettings
            |
            +--org.apache.xerces.parsers.BasicParserConfiguration
                  |
                  +--org.apache.xerces.parsers.DTDConfiguration
                        |
                        +--org.apache.xerces.parsers.StandardParserConfiguration
                              |
                              +--org.apache.xerces.parsers.IntegratedParserConfiguration
                                    |
                                    +--org.apache.xerces.parsers.XML11Configuration

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

public class XML11Configuration
extends IntegratedParserConfiguration

This class is the configuration used to parse XML 1.1 documents. It extends the StandardParserConfiguration by making use of a special scanner which detects the version of the document being scanned and modifies the pipeline to employ scanners optimal for the document being scanned.

Version:
  $Id: XML11Configuration.java,v 1.4 2003/03/03 22:17:17 elena Exp $
Author:
  Neil Graham, IBM

Field Summary
`protected XMLVersionDetector` | `fVersionDetector`
`protected DTDDVFactory` | `fXML11DatatypeFactory`
`protected XML11DocumentScannerImpl` | `fXML11DocScanner`
`protected XML11DTDProcessor` | `fXML11DTDProcessor`
`protected XML11DTDScannerImpl` | `fXML11DTDScanner`
`protected XML11DTDValidator` | `fXML11DTDValidator`
`protected XML11NamespaceBinder` | `fXML11NamespaceBinder`
`protected static java.lang.String` | `XML11_DATATYPE_VALIDATOR_FACTORY`

Fields inherited from class org.apache.xerces.parsers.IntegratedParserConfiguration
`fNamespaceScanner, fNonNSDTDValidator, fNonNSScanner`

Fields inherited from class org.apache.xerces.parsers.StandardParserConfiguration
`fSchemaValidator, NORMALIZE_DATA, SCHEMA_AUGMENT_PSVI, SCHEMA_ELEMENT_DEFAULT, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATOR, XMLSCHEMA_FULL_CHECKING, XMLSCHEMA_VALIDATION`

Fields inherited from class org.apache.xerces.parsers.DTDConfiguration
`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ERROR_REPORTER, fDatatypeValidatorFactory, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLocator, fNamespaceBinder, fParseInProgress, fScanner, fValidationManager, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, LOAD_EXTERNAL_DTD, NAMESPACE_BINDER, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, PRINT_EXCEPTION_STACK_TRACE, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XMLGRAMMAR_POOL`

Fields inherited from class org.apache.xerces.parsers.BasicParserConfiguration
`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`XML11Configuration()` Default constructor.
`XML11Configuration(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`XML11Configuration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`XML11Configuration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `configureXML11Pipeline()` Configures the XML 1.1 pipeline.
`boolean` | `parse(boolean complete)` Parses the document in a pull parsing fashion.

Methods inherited from class org.apache.xerces.parsers.IntegratedParserConfiguration
`configurePipeline, createDocumentScanner, createDTDValidator`

Methods inherited from class org.apache.xerces.parsers.StandardParserConfiguration
`checkFeature, checkProperty`

Methods inherited from class org.apache.xerces.parsers.DTDConfiguration
`cleanup, createDatatypeValidatorFactory, createDTDProcessor, createDTDScanner, createEntityManager, createErrorReporter, createNamespaceBinder, createValidationManager, parse, reset, setInputSource, setLocale`

Methods inherited from class org.apache.xerces.parsers.BasicParserConfiguration
`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Field Detail

### XML11_DATATYPE_VALIDATOR_FACTORY

    protected static final java.lang.String XML11_DATATYPE_VALIDATOR_FACTORY

### fVersionDetector

    protected XMLVersionDetector fVersionDetector

### fXML11DocScanner

    protected XML11DocumentScannerImpl fXML11DocScanner

### fXML11DTDScanner

    protected XML11DTDScannerImpl fXML11DTDScanner

### fXML11DTDValidator

    protected XML11DTDValidator fXML11DTDValidator

### fXML11DTDProcessor

    protected XML11DTDProcessor fXML11DTDProcessor

### fXML11NamespaceBinder

    protected XML11NamespaceBinder fXML11NamespaceBinder

### fXML11DatatypeFactory

    protected DTDDVFactory fXML11DatatypeFactory

Constructor Detail

### XML11Configuration

    public XML11Configuration()

  Default constructor.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.
  Parameters:
    `symbolTable` - The symbol table to use.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable,
                              org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable,
                              org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                              org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### parse

    public boolean parse(boolean complete)
                  throws org.apache.xerces.xni.XNIException,
                         java.io.IOException

  Description copied from class: `DTDConfiguration`
  Parses the document in a pull parsing fashion.
  Overrides:
    `parse` in class `DTDConfiguration`
  Following copied from class: `org.apache.xerces.parsers.DTDConfiguration`
  Parameters:
    `complete` - True if the pull parser should parse the remaining document completely.
  Returns:
    True if there is more document to parse.
  Throws:
    `org.apache.xerces.xni.XNIException` - Any XNI exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.
  See Also:
    `DTDConfiguration.setInputSource(org.apache.xerces.xni.parser.XMLInputSource)`

### configureXML11Pipeline

    protected void configureXML11Pipeline()

  Configures the XML 1.1 pipeline. Note: this method also resets the new XML11 components

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.